/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENEMESSAGEDESC")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenemessagedesc.findAll", query = "SELECT t FROM Tgenemessagedesc t"),
    @NamedQuery(name = "Tgenemessagedesc.findByMessagecode", query = "SELECT t FROM Tgenemessagedesc t WHERE t.tgenemessagedescPK.messagecode = :messagecode"),
    @NamedQuery(name = "Tgenemessagedesc.findByLanguage", query = "SELECT t FROM Tgenemessagedesc t WHERE t.tgenemessagedescPK.language = :language"),
    @NamedQuery(name = "Tgenemessagedesc.findByRecordversion", query = "SELECT t FROM Tgenemessagedesc t WHERE t.recordversion = :recordversion"),
    @NamedQuery(name = "Tgenemessagedesc.findByDescription", query = "SELECT t FROM Tgenemessagedesc t WHERE t.description = :description")})
public class Tgenemessagedesc implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TgenemessagedescPK tgenemessagedescPK;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Column(name = "DESCRIPTION")
    private String description;
    @JoinColumn(name = "LANGUAGE", referencedColumnName = "LANGUAGECODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenelanguage tgenelanguage;
    @JoinColumn(name = "MESSAGECODE", referencedColumnName = "MESSAGECODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenemessage tgenemessage;

    public Tgenemessagedesc() {
    }

    public Tgenemessagedesc(TgenemessagedescPK tgenemessagedescPK) {
        this.tgenemessagedescPK = tgenemessagedescPK;
    }

    public Tgenemessagedesc(String messagecode, String language) {
        this.tgenemessagedescPK = new TgenemessagedescPK(messagecode, language);
    }

    public TgenemessagedescPK getTgenemessagedescPK() {
        return tgenemessagedescPK;
    }

    public void setTgenemessagedescPK(TgenemessagedescPK tgenemessagedescPK) {
        this.tgenemessagedescPK = tgenemessagedescPK;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Tgenelanguage getTgenelanguage() {
        return tgenelanguage;
    }

    public void setTgenelanguage(Tgenelanguage tgenelanguage) {
        this.tgenelanguage = tgenelanguage;
    }

    public Tgenemessage getTgenemessage() {
        return tgenemessage;
    }

    public void setTgenemessage(Tgenemessage tgenemessage) {
        this.tgenemessage = tgenemessage;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tgenemessagedescPK != null ? tgenemessagedescPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenemessagedesc)) {
            return false;
        }
        Tgenemessagedesc other = (Tgenemessagedesc) object;
        if ((this.tgenemessagedescPK == null && other.tgenemessagedescPK != null) || (this.tgenemessagedescPK != null && !this.tgenemessagedescPK.equals(other.tgenemessagedescPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenemessagedesc[ tgenemessagedescPK=" + tgenemessagedescPK + " ]";
    }
    
}
